Index: code/branches/wiimote/src/libraries/core/input/InputManager.cc
===================================================================
--- code/branches/wiimote/src/libraries/core/input/InputManager.cc	(revision 9790)
+++ code/branches/wiimote/src/libraries/core/input/InputManager.cc	(revision 9805)
@@ -254,15 +254,16 @@
 
     	}
-   	    try
-   	    {
-   	    	orxout()<<devices_.size();
-   	  	    devices_.push_back(new WiiMote(devices_.size(), *(new CWiimote())));
-   	    	//devices_[2] = new WiiMote(devices_.size(), *(new CWiimote()));
-
-   	    }
-   	    catch(std::exception& e)  //gotta catch em all
-   	    {
-   	   	      orxout()<<"Exception loading WiiMote!!!1!11!";
-   	    }
+            try
+            {
+              orxout()<< "Size of devices vector before wiimote insertion:" << devices_.size() << std::endl;
+              devices_.push_back(new WiiMote(devices_.size(), *(new CWiimote())));
+              //devices_[2] = new WiiMote(devices_.size(), *(new CWiimote()));
+              orxout()<< "Size of devices vector after wiimote insertion:" << devices_.size() << std::endl;
+
+            }
+            catch(std::exception& e)  //gotta catch em all
+            {
+              orxout()<<"Exception loading WiiMote!!!1!11!";
+            }
 
     }
@@ -475,5 +476,5 @@
             	if (rit->second->isInputDeviceEnabled(i) && (!occupied || rit->second->bAlwaysGetsInput_))
                 {
-                	orxout() << "Success with ID " << i <<std::endl;
+                    orxout() << "Success with ID " << i <<std::endl;
                     states.push_back(rit->second);
                     if (!rit->second->bTransparent_)
Index: code/branches/wiimote/src/libraries/core/input/InputState.cc
===================================================================
--- code/branches/wiimote/src/libraries/core/input/InputState.cc	(revision 9790)
+++ code/branches/wiimote/src/libraries/core/input/InputState.cc	(revision 9805)
@@ -49,5 +49,8 @@
             priority_ = 0;
 
-        handlers_.resize(InputDeviceEnumerator::FirstJoyStick + this->getJoyStickList().size(), NULL);
+        // SANDRO HACK: make this 1 larger so we can have the wiimote read out as well
+        //handlers_.resize(InputDeviceEnumerator::FirstJoyStick + this->getJoyStickList().size(), NULL);
+        handlers_.resize(InputDeviceEnumerator::FirstJoyStick 
+          + 1 +  this->getJoyStickList().size(), NULL);
     }
 
@@ -98,4 +101,5 @@
         setMouseHandler(handler);
         setJoyStickHandler(handler);
+        setWiiMoteHandler(handler); // SANDRO HACK
     }
 
Index: code/branches/wiimote/src/libraries/core/input/InputState.h
===================================================================
--- code/branches/wiimote/src/libraries/core/input/InputState.h	(revision 9790)
+++ code/branches/wiimote/src/libraries/core/input/InputState.h	(revision 9805)
@@ -100,4 +100,11 @@
         void setMouseHandler   (InputHandler* handler)
             { handlers_[mouseIndex_s]    = handler; bExpired_ = true; }
+
+        // SANDRO HACK
+        void setWiiMoteHandler(InputHandler* handler)
+        { // TODO make this a dynamically chosen number
+          handlers_[2]    = handler; bExpired_ = true;
+        }
+
         /**
         @brief
Index: code/branches/wiimote/src/libraries/core/input/WiiMote.h
===================================================================
--- code/branches/wiimote/src/libraries/core/input/WiiMote.h	(revision 9790)
+++ code/branches/wiimote/src/libraries/core/input/WiiMote.h	(revision 9805)
@@ -31,5 +31,5 @@
 	         void calibrationStopped() { }
 	         //! List of all input states that receive events from this device
-	         std::vector<InputState*> inputStates_;
+		 //std::vector<InputState*> inputStates_;
 
 	 private:
Index: code/branches/wiimote/src/libraries/core/input/Wiimote_Test.cc
===================================================================
--- code/branches/wiimote/src/libraries/core/input/Wiimote_Test.cc	(revision 9790)
+++ code/branches/wiimote/src/libraries/core/input/Wiimote_Test.cc	(revision 9805)
@@ -6,12 +6,11 @@
  */
 
-#include "/usr/tardis/home-itet-ab/georgr-extra-0/orxonox/wiimote/src/libraries/core/input/Wiimote_Test.h"
+#include "Wiimote_Test.h"
 #include "core/CoreIncludes.h"
 #include "core/command/ConsoleCommand.h"
 #include "InputState.h"
-#include </usr/tardis/home-itet-ab/georgr-extra-0/orxonox/wiimote/src/orxonox/OrxonoxPrereqs.h>
 #include "InputManager.h"
-#include </usr/tardis/home-itet-ab/georgr-extra-0/orxonox/wiimote/src/libraries/util/UtilPrereqs.h>
-#include </usr/tardis/home-itet-ab/georgr-extra-0/orxonox/wiimote/src/libraries/util/ScopedSingletonManager.h>
+#include <util/UtilPrereqs.h>
+#include <util/ScopedSingletonManager.h>
 
 
